Page MenuHomePhabricator

Port exim statistics to Prometheus
Closed, ResolvedPublic

Description

The goal is to have exim statistics exported as Prometheus metrics by looking at exim logs with mtail.

Event Timeline

Change 388032 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] mx: export metrics from exim4 mainlog

https://gerrit.wikimedia.org/r/388032

Change 388478 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] mtail: add test scaffolding

https://gerrit.wikimedia.org/r/388478

MoritzMuehlenhoff triaged this task as High priority.Nov 13 2017, 7:34 AM

Change 388032 merged by Filippo Giunchedi:
[operations/puppet@production] mx: export metrics from exim4 mainlog

https://gerrit.wikimedia.org/r/388032

Change 390982 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] mtail: allow changing running group

https://gerrit.wikimedia.org/r/390982

Change 388478 merged by Filippo Giunchedi:
[operations/puppet@production] mtail: add test scaffolding

https://gerrit.wikimedia.org/r/388478

Change 390982 merged by Filippo Giunchedi:
[operations/puppet@production] mtail: allow changing running group

https://gerrit.wikimedia.org/r/390982

Change 391011 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] role: add ferm rule for mtail on mx

https://gerrit.wikimedia.org/r/391011

Change 391011 merged by Filippo Giunchedi:
[operations/puppet@production] role: add ferm rule for mtail on mx

https://gerrit.wikimedia.org/r/391011

Change 392039 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] prometheus: add mtail/exim jobs

https://gerrit.wikimedia.org/r/392039

Change 392039 merged by Filippo Giunchedi:
[operations/puppet@production] prometheus: add mtail/exim jobs

https://gerrit.wikimedia.org/r/392039

fgiunchedi closed this task as Resolved.Dec 5 2017, 10:48 AM
fgiunchedi claimed this task.
fgiunchedi added subscribers: herron, faidon.

Metrics are being collected, I started a dashboard at https://grafana.wikimedia.org/dashboard/db/mail (though improvements are welcome of course!) and I'm resolving the task (cc @herron @faidon as mail people)

Dzahn added a subscriber: Dzahn.Dec 13 2017, 12:34 AM

removed ganglia from mx1001/mx2001

Hi,

Please, where is the source code of this exim4 to prometheus ?

There are very few exim4 exporter findable on the net, perhaps yours is the greater :-)

Thanks & cheers, Cyrille37.

Hi @Cyrille37,
we're currently using mtail (https://github.com/google/mtail) to turn exim logs into metrics. See also https://gerrit.wikimedia.org/r/plugins/gitiles/operations/puppet/+/production/modules/mtail/files/programs/exim.mtail for the current configuration

Hope this helps!
Filippo